./print/foomatic-db [Foomatic PPD data]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 4.0.20170503, Package name: foomatic-db-4.0.20170503
Maintained by: Antoine Jacoutot
Master sites:
Description
The collected knowledge about printers, drivers, and driver options in
XML files, used by foomatic-db-engine to generate PPD files.


Filesize: 52076.356 KB
Version History (View Complete History)
  • (2017-07-28) Updated to version: foomatic-db-4.0.20170503
  • (2016-10-12) Updated to version: foomatic-db-4.0.20161003
  • (2016-02-27) Updated to version: foomatic-db-4.0.20150819
  • (2015-06-08) Updated to version: foomatic-db-4.0.20150415
  • (2014-08-21) Updated to version: foomatic-db-4.0.20140707
  • (2014-02-08) Updated to version: foomatic-db-4.0.20131218
  • (2013-12-27) Updated to version: foomatic-db-4.0.20131001
  • (2013-07-12) Updated to version: foomatic-db-4.0.20130712
  • (2013-06-05) Updated to version: foomatic-db-4.0.20130605
  • (2013-05-14) Updated to version: foomatic-db-4.0.20130513
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2017-07-28 01:46:46 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20170503.
   2017-07-28 01:46:46 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20170503.
   2017-07-28 01:46:46 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20170503.
   2017-04-22 02:13:28 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
MFC: Remove foo2hiperc-z1, it conflicts with foo2zjs.
req. by stsp@
   2017-04-04 15:24:13 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Remove foo2hiperc-z1, it conflicts with foo2zjs; reported by espie@
   2017-04-04 15:24:13 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Remove foo2hiperc-z1, it conflicts with foo2zjs; reported by espie@
   2016-10-12 02:24:43 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20161003.
   2016-10-12 02:24:43 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20161003.
   2016-10-12 02:24:43 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20161003.
   2016-02-27 02:30:32 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20150819.
   2016-02-27 02:30:32 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20150819.
   2016-02-27 02:30:32 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20150819.
   2015-06-08 03:44:42 by Antoine Jacoutot | Files touched by this commit (4)
Log message:
Update to foomatic-db-4.0.20150415.
   2015-06-08 03:44:42 by Antoine Jacoutot | Files touched by this commit (4)
Log message:
Update to foomatic-db-4.0.20150415.
   2015-06-08 03:44:42 by Antoine Jacoutot | Files touched by this commit (4)
Log message:
Update to foomatic-db-4.0.20150415.
   2015-06-08 03:44:42 by Antoine Jacoutot | Files touched by this commit (4)
Log message:
Update to foomatic-db-4.0.20150415.
   2014-11-17 01:08:07 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
Missing BUILD_DEPENDS.
spotted by nigel@
   2014-11-15 03:03:36 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Make PPDs natively available to CUPS; needed for an upcoming cups upgrade.
   2014-11-15 03:03:36 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Make PPDs natively available to CUPS; needed for an upcoming cups upgrade.
   2011-07-08 17:28:17 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20110708.
   2011-07-08 17:28:17 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20110708.
   2011-07-08 17:28:17 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20110708.
   2011-04-15 13:16:23 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20110415.
   2011-04-15 13:16:23 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20110415.
   2011-04-15 13:16:23 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20110415.
   2011-04-15 13:16:23 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20110415.
   2011-04-15 13:16:23 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20110415.
   2011-04-15 12:40:47 by Antoine Jacoutot | Files touched by this commit (6)
Log message:
Rework the way we handle dependencies in the print ports:
* depends on foomatic-filters when a driver installs:
share/foomatic/db/source/.../*.ppd{,.gz}
* depends on foomatic-db-engine when a driver installs:
share/foomatic/db/source/.../*.xml
foomatic-db-engine now depends on foomatic-db (which itself depends on
nothing anymore).
This will ensure all the needed packages are installed for complete
foomatic-* use.
Some packages install both pre-created ppd and xml files, so theorically
it wouldn't need to depend on foomatic-db-engine, but we still do it
because we may want to regen the ppd file.
It's the best compromise I could come up with.
   2011-04-02 10:56:42 by Antoine Jacoutot | Files touched by this commit (18)
Log message:
Simplify: use my distfiles subdomain.
   2011-03-01 23:48:41 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Remove files already shipped by the ptouch-driver.
ok jasper@
   2011-03-01 23:48:41 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Remove files already shipped by the ptouch-driver.
ok jasper@
   2011-01-02 00:33:10 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20110101.
   2011-01-02 00:33:10 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20110101.
   2011-01-02 00:33:10 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update to foomatic-db-4.0.20110101.
   2010-11-20 02:48:40 by Marc Espie | Files touched by this commit (96)
Log message:
new depends
   2010-08-24 10:33:26 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Disable support for the gutenprint driver, we use gutenprint-ijs which
is spooler independant. Don't display gutenprint as a recommended driver
anymore (which wouldn't work anyway), but use the ijs one.
   2010-08-24 10:33:26 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Disable support for the gutenprint driver, we use gutenprint-ijs which
is spooler independant. Don't display gutenprint as a recommended driver
anymore (which wouldn't work anyway), but use the ijs one.
   2010-08-22 00:57:38 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update foomatic-db to the 20100821 rev.
   2010-08-22 00:57:38 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update foomatic-db to the 20100821 rev.
   2010-08-22 00:57:38 by Antoine Jacoutot | Files touched by this commit (3)
Log message:
Update foomatic-db to the 20100821 rev.
   2010-07-31 02:17:46 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Do not ship the foo2* driver related files as these will be shipped with
the foo2zjs package which has more up-to-date versions.
   2010-07-31 02:17:46 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Do not ship the foo2* driver related files as these will be shipped with
the foo2zjs package which has more up-to-date versions.
   2010-07-26 14:07:31 by Edd Barrett | Files touched by this commit (17)
Log message:
Convert a whole bunch of ports/print to use new WANTLIB/LIB_DEPENDS/REVISION.
OK aja@
   2010-03-31 08:44:28 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Do not install useless ReadMe.
   2010-03-31 08:44:28 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Do not install useless ReadMe.
   2009-12-10 03:58:25 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20091207
Now depends on foomatic-db-engine.
   2009-12-10 03:58:25 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20091207
Now depends on foomatic-db-engine.
   2009-12-10 03:58:25 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20091207
Now depends on foomatic-db-engine.
   2009-12-10 03:58:25 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20091207
Now depends on foomatic-db-engine.
   2009-12-10 03:58:25 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
Update to foomatic-db-4.0.20091207
Now depends on foomatic-db-engine.
   2008-12-20 14:15:56 by Antoine Jacoutot | Files touched by this commit (5)
Log message:
- take maintainership of these ports, jacob@ is on audio now and not
printing anymore ;-)
"go ahead" jacob@
   2008-09-18 07:37:41 by Antoine Jacoutot | Files touched by this commit (20)
Log message:
- SYSCONFDIR and LOCALBASE are already part of the generic SUBST_VARS
looks good to landry@
   2007-10-27 17:44:41 by Antoine Jacoutot | Files touched by this commit (12)
Log message:
- domain name change; fix MASTER_SITES
   2007-09-26 02:17:47 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
- use a saner version number
noticed by jakemsr@
discussed with brad@ and bernd@